      subroutine dsddset(sisd,cs)
c...set parameters for scattering cross section
c...  c - character string specifying choice to be made
c...author: paolo gondolo 2000-07-07
      implicit none
      include 'dsddcom.h'
      character*(*) sisd,cs

c...spin-independent

      if (sisd.eq.'si') then
      
c...gaisser,leutwyler,sainio,plb253(91)252
c...drees,nojiri,prd48(93)3483
c...bergstrom,gondolo,astrop.ph.
         if (cs.eq.'gls91'.or.cs.eq.'dn93'.or.cs.eq.'bg96'
     &        .or.cs.eq.'default') then
            ftp(7)=0.023
            ftp(8)=0.034
            ftp(9)=0.0595
            ftp(10)=0.14
            ftp(11)=0.0595
            ftp(12)=0.0595
            ftn(7)=0.019
            ftn(8)=0.041
            ftn(9)=0.0592
            ftn(10)=0.14
            ftn(11)=0.0592
            ftn(12)=0.0592
            
c...  invalid choice
         else
            write (*,*) 
     &           'dsddset: unrecognized spin-independent option ',cs
            stop
         endif
         
c...spin-dependent

      elseif (sisd.eq.'sd') then
      
c...drees,nojiri,prd48(93)3483
         if (cs.eq.'dn93'.or.cs.eq.'emc') then
            delu=0.77
            deld=-0.49
            dels=-0.15
            
c...  bergstrom,gondolo,astrop.ph.
c...d.adams et al cern-ppe/94-57
         else if (cs.eq.'bg96'.or.cs.eq.'smc'.or.cs.eq.'default') then
            delu=0.74
            deld=-0.40
            dels=-0.12
      
c...invalid choice
         else
            write (*,*) 
     &        'dsddset: unrecognized spin-dependent option ',cs
            stop
         endif

c...invalid choice
      else
         write (*,*) 'dsddset: unrecognized option ',sisd
         stop
      endif
      
      return
      end


