
c...
c...auxiliary function for inner integrand
c...input: velocity relaitve to earth in km/s
c...output: integrand in cm^-4
      real*8 function dsntceint2(u)
      implicit none
      real*8 u,mu,mx,sigsi,muplus,muminus,siga,ma
      real*8 r,ni,e0,sla1,sla2,sla3,dsntdkfoveru,v,dsntearthvesc,
     &  dsntearthdenscomp,c0
      integer imass
      common/ntdkint/mx,ma,sigsi,r
      common/ntdkint2/imass
      parameter(c0=299792.458d0) ! ljushast i km/s.
      siga=sigsi*imass**2*(mx*ma/(mx+ma))**2/(mx*.94/(mx+.94))**2
      mu=mx/ma
      muplus=(mu+1.d0)/2.d0
      muminus=(mu-1.d0)/2.d0
      v=dsntearthvesc(r/100.0d0)   ! escape velocity at r
      ni=dsntearthdenscomp(r/100.0d0,imass) ! target number density in earth
c the following may need debugging:
      e0=3./2./ma*1./0.038935 ! gives units of gev; see gould (a8)
      e0=e0/(0.91*ma**(0.33333)+0.3)**2
      sla1=exp(-mx*(u/c0)**2/2./e0)
      sla2=exp(-mu/muplus**2*mx*((v/c0)**2+(u/c0)**2)/2./e0)
      sla3=siga*ni*muplus**2*2.*e0/mu/mx
      dsntceint2=dsntdkfoveru(u)*sla3*(sla1-sla2)
c      write(*,*) 'u=',u,'  dsntceint2=',dsntceint2,sla3,sla1,sla2
c      write(*,*) 'foveru = ',dsntdkfoveru(u)
c...we two factors of c missing, add them to get units cm^-4
      dsntceint2=dsntceint2*(3.0d10)**2
      return
      end
