

***********************************************************************
*** input: velocity relative to earth [ km s^-1 ]
*** output: f(u) / u [ cm^-3 (cm^-1 s)^2 ]
*** date: april 6, 1999
***********************************************************************

      real*8 function dsntdkfoverugauss(u)
      implicit none
      include 'dsntdkcom.h'
      include 'dshmcom.h'

      real*8 u

c...first calculate f(u)/u
      dsntdkfoverugauss=1/(220.0)**2/sqrt(3.1415)*(
     &  exp(-(u-220.0)**2/220**2)-exp(-(u+220.0)**2/220**2))
     &  *1.0d-10
     &  *(rhox/dkmx)

c      if (u.gt.29.0d0) then
c        write(*,*) 'u=',u,'  foveru=',dsntdkfoveru
c      endif

      return
      end
