      function dsdduinvff(w2)
c_______________________________________________________________________
c  auxiliary function to u_eff
c
c  author: paolo gondolo (gondolo@lpthe.jussieu.fr) 1994,1995
c=======================================================================
      implicit none
      real*8 dsdduinvff,w2,aux,umin,umax,vobs,vcut,sigma,vesc,
     &  dsddu_inverse,uinv,form,hbar,mred2,q2,qi2,ri,mx,mi
      parameter (hbar=6.582122*(2.99792)**2*1.d3)
      integer iform,icapt
      common /xratec/ vobs,vcut,sigma,vesc,mi,
     &   mx,iform,icapt
      save /xratec/
      aux=w2-vesc**2
      if (aux.gt.0.d0) then
        umin = sqrt(aux)
      else
        umin = 0.d0
      endif
      if (icapt.eq.0) then
        umax = vobs+vcut
      else
        umax = sqrt(w2)
      endif
      uinv = dsddu_inverse(umin,umax,vobs,sigma,vcut)
      if (iform.eq.0) then
        form = 1.d0
      else if (iform.eq.1) then
        mred2=(mx*mi/(mx+mi))**2
        ri=0.3+0.91*mi**(1./3.) ! fm
        qi2=3*(hbar/ri)**2      ! (gev/c^2 km/s)^2
        q2=4.*mred2*w2
        form = exp(-q2/qi2)
      else
        call dswrite('dsdduinvff: invalid form factor code')
        form = 0.d0
      endif
      dsdduinvff=uinv*form
      return
      end
