****************************************************************
*** function integrated in dshmj                               ***
***                                                          ***
*** author: piero ullio (piero@tapir.caltech.edu)            ***
*** date: 00-07-13                                           ***
****************************************************************


      real*8 function dshmjpar1(rr)
      implicit none
      include 'dshmcom.h'
      real*8 rr,y,val
      real*8 cospsi0
      common/dshmjcom/cospsi0
      y=dsqrt(rr**2+r_0**2-2.d0*rr*r_0*cospsi0)
      call dshmhaloprof(y,val)
      val=val/rho0 
      if (hclumpy.eq.1) then ! smooth halo
        dshmjpar1=val**2
      elseif (hclumpy.eq.2) then ! clumpy halo
        dshmjpar1=val
      else
        write(*,*) 'wrong value for hclumpy in dshmjpar1'
        write(*,*) 'hclumpy =',hclumpy
        stop
      endif
      return
      end



