****************************************************************
*** dark matter halo density profile                         ***
***                                                          ***
*** Input:  r = galactocentric distance in kpc               ***
*** Output: dshmrho = density in GeV/cm^3                    ***
***                                                          ***
*** Calls dshmhaloprof where the profile is calculated       ***
*** Author: Joakim Edsjo                                     ***
*** Date: 2000-09-02                                         ***
****************************************************************

      real*8 function dshmrho(r)
      implicit none
      real*8 r,val
      call dshmhaloprof(r,val)
      dshmrho=val

      return
      end









