

**********************************************************************
*** dsntearthvesc gives the escape velocity in km/s as a function of
*** the radius r (in meters) from the earth's core.
*** author: joakim edsjo (edsjo@physto.se)
*** input: radius in m
*** output escape velocity in km/s
*** date: april 1, 1999
**********************************************************************

      real*8 function dsntearthvesc(r)
      implicit none

      real*8 r,dsntearthpot,vescsurf,phisurf
      parameter(vescsurf=11.2d0)
      parameter(phisurf=-.627705d8)

c      phisurf=dsntearthpot(6378.140d3)

      dsntearthvesc=vescsurf*sqrt(abs(dsntearthpot(r)/phisurf))

      return
      end
